"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const i18n_1 = require("@markuplint/i18n");
const os_locale_1 = __importDefault(require("os-locale"));
let cachedLocale = null;
async function getLocale() {
    if (!cachedLocale) {
        cachedLocale = await os_locale_1.default({ spawn: true });
    }
    return cachedLocale;
}
async function i18n(locale) {
    locale = locale || (await getLocale()) || '';
    const langCode = locale.split('-')[0];
    const localeSet = langCode
        ? await Promise.resolve().then(() => __importStar(require(`@markuplint/i18n/locales/${langCode}`))).catch(() => null)
        : null;
    return i18n_1.I18n.create(localeSet);
}
exports.i18n = i18n;
