"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
async function moduleAutoLoader(ruleset) {
    const rules = [];
    const errors = [];
    for (const ruleName of Object.keys(ruleset.rules)) {
        let rule = null;
        try {
            const _module = await Promise.resolve().then(() => __importStar(require(`@markuplint/rule-${ruleName}`)));
            rule = _module.default;
        }
        catch (e) {
            errors.push(e);
        }
        if (!rule) {
            continue;
        }
        try {
            const _module = await Promise.resolve().then(() => __importStar(require(`markuplint-rule-${ruleName}`)));
            rule = _module.default;
        }
        catch (e) {
            errors.push(e);
        }
        if (!rule) {
            continue;
        }
        rules.push(rule);
    }
    return {
        rules,
        errors,
    };
}
exports.moduleAutoLoader = moduleAutoLoader;
