"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const reporter_1 = require("./reporter");
async function output(options) {
    switch (options.format.toLowerCase()) {
        case 'json': {
            process.stdout.write(JSON.stringify(options.reports, null, 2));
            break;
        }
        case 'simple': {
            await reporter_1.simpleReporter(options.filePath, options.reports, options.html, {
                color: options.color,
                noStdOut: false,
                problemOnly: options.problemOnly,
            });
            break;
        }
        default: {
            await reporter_1.standardReporter(options.filePath, options.reports, options.html, {
                color: options.color,
                noStdOut: false,
                problemOnly: options.problemOnly,
            });
        }
    }
}
exports.output = output;
